Subject: Re: [PATCH 0/4] Multiple worktrees vs. submodules fixes

From: Max Kirillov <[email-masked]>
Date: Tue, 14 Oct 2014 23:31:14 +0300

On Tue, Oct 14, 2014 at 07:09:45PM +0200, Jens Lehmann wrote:
> Until that problem is solved it looks wrong to pass
> GIT_COMMON_DIR into submodule recursion, I believe
> GIT_COMMON_DIR should be added to the local_repo_env array
> (and even if it is passed on later, we might have to
> append "/modules/<submodule_name>" to make it point to the
> correct location).
 
Actually, why there should be an _environment_ variable
GIT_COMMON_DIR at all? I mean, gitdir is resolved to some
directory (through link or environment), and it contains the
shared data directly or referes to it with the commondir
link. In which case anyone would want to override that
location?

I searched though tests but they don't cover this.